Letsencrypt ssl does not support android 4?

hi
letsencrypt ssl does not support android 4 ??
my blog white ssl not open in adnroid 4 and older
how to solve this problem?
for this url
Is it true that letsencrypt no longer supports older Android?

Hi @zst42

that's not Letsencrypt, that's your configuration - see https://check-your-website.server-daten.de/?q=arzunkadeh.com#connections

You have disabled Tls.1.0 and 1.1, that's good.

But - see SSL Server Test: arzunkadeh.com (Powered by Qualys SSL Labs)

\ 14x14

Not simulated clients (Protocol mismatch)

Android 2.3.7 No SNI 2 Protocol mismatch (not simulated)
Android 4.0.4 Protocol mismatch (not simulated)
Android 4.1.1 Protocol mismatch (not simulated)
Android 4.2.2 Protocol mismatch (not simulated)
Android 4.3 Protocol mismatch (not simulated)

So older Android versions (only with 1.0 or 1.1) can't connect your site.

2 Likes